Package org.jbpm.services.task.impl.model

## Class TaskImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.TaskImpl_

-     @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​Short>` | `archived` |
    `static String` | `ARCHIVED` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​DeadlinesImpl>` | `deadlines` |
    `static String` | `DEADLINES` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​DelegationImpl>` | `delegation` |
    `static String` | `DELEGATION` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​String>` | `description` |
    `static String` | `DESCRIPTION` |
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl>` | `descriptions` |
    `static String` | `DESCRIPTIONS` |
    `static String` | `FORM_NAME` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​String>` | `formName` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​String>` | `name` |
    `static String` | `NAME` |
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl>` | `names` |
    `static String` | `NAMES` |
    `static String` | `PEOPLE_ASSIGNMENTS` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​PeopleAssignmentsImpl>` | `peopleAssignments` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​Integer>` | `priority` |
    `static String` | `PRIORITY` |
    `static String` | `SUB_TASK_STRATEGY` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​String>` | `subject` |
    `static String` | `SUBJECT` |
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl>` | `subjects` |
    `static String` | `SUBJECTS` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​org.kie.internal.task.api.model.SubTasksStrategy>` | `subTaskStrategy` |
    `static String` | `TASK_DATA` |
    `static String` | `TASK_TYPE` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​TaskDataImpl>` | `taskData` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​String>` | `taskType` |
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,​Integer>` | `version` |
    `static String` | `VERSION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### peopleAssignments

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​PeopleAssignmentsImpl> peopleAssignments

    - #### subject

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​String> subject

    - #### subjects

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl> subjects

    - #### description

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​String> description

    - #### taskData

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​TaskDataImpl> taskData

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​Integer> priority

    - #### version

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​Integer> version

    - #### descriptions

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl> descriptions

    - #### deadlines

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​DeadlinesImpl> deadlines

    - #### archived

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​Short> archived

    - #### subTaskStrategy

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​org.kie.internal.task.api.model.SubTasksStrategy> subTaskStrategy

    - #### taskType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​String> taskType

    - #### names

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,​I18NTextImpl> names

    - #### formName

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​String> formName

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​Long> id

    - #### delegation

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,​DelegationImpl> delegation

    - #### PEOPLE_ASSIGNMENTS

          public static final String PEOPLE_ASSIGNMENTS

      See Also:
        Constant Field Values

    - #### SUBJECT

          public static final String SUBJECT

      See Also:
        Constant Field Values

    - #### SUBJECTS

          public static final String SUBJECTS

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### TASK_DATA

          public static final String TASK_DATA

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### DESCRIPTIONS

          public static final String DESCRIPTIONS

      See Also:
        Constant Field Values

    - #### DEADLINES

          public static final String DEADLINES

      See Also:
        Constant Field Values

    - #### ARCHIVED

          public static final String ARCHIVED

      See Also:
        Constant Field Values

    - #### SUB_TASK_STRATEGY

          public static final String SUB_TASK_STRATEGY

      See Also:
        Constant Field Values

    - #### TASK_TYPE

          public static final String TASK_TYPE

      See Also:
        Constant Field Values

    - #### NAMES

          public static final String NAMES

      See Also:
        Constant Field Values

    - #### FORM_NAME

          public static final String FORM_NAME

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### DELEGATION

          public static final String DELEGATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskImpl_

          public TaskImpl_()